Page MenuHomePhabricator

Add scrolling and resizing to No-JS gray context boxes on both article and talk pages
Closed, ResolvedPublic3 Estimated Story Points

Description

Mock

Gray boxes cannot be expanded in no-JS versions. At the moment they are editable, but only the part that is visible. There is no way to access the overflow text. Scroll and resizing functionality should be added to match the selection boxes. Minimum would be scrolling only, ideal would be both.

Acceptance Criteria

  • On click into gray box, user can scroll to see all content within.
  • On hover over gray box, user can scroll to see all content within.
  • Scroll bar is visible and matches style with the selection boxes. Color is Base 70 (#C8CCD1)
  • Resizing icon is added to gray boxes. User can resize vertically.
  • On hover over resizing icon, up/down arrow cursor is shown (match existing interaction for resizing icon for selection boxes).
  • Above functionality is implemented on both no-JS talk page conflicts and no-JS article page conflicts.

Event Timeline

ecohen created this task.Apr 16 2020, 2:57 PM
ecohen updated the task description. (Show Details)
Lena_WMDE set the point value for this task to 3.Apr 23 2020, 9:16 AM
thiemowmde moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-04-29 board.

Change 594120 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Allow textarea scrolling & resizing in no-JS mode

https://gerrit.wikimedia.org/r/594120

Change 592633 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Fix unexpected position of scrollbars & resize handles in no-JS

https://gerrit.wikimedia.org/r/592633

thiemowmde removed thiemowmde as the assignee of this task.May 4 2020, 10:05 AM
thiemowmde moved this task from Doing to Review on the WMDE-QWERTY-Sprint-2020-04-29 board.
thiemowmde added a subscriber: thiemowmde.

Change 592633 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix unexpected position of scrollbars & resize handles in no-JS

https://gerrit.wikimedia.org/r/592633

Change 594120 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Allow textarea scrolling & resizing in no-JS mode

https://gerrit.wikimedia.org/r/594120

WMDE-Fisch closed this task as Resolved.May 12 2020, 11:42 AM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-29 board.